Subject: bug#61310: closed (Re: bug#61310: Eshell modifying and running output regression)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Feb 2023 18:00:02 +0000

Your bug report

#61310: Eshell modifying and running output regression

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61310: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61310
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61310: Eshell modifying and running output regression
From: Jim Porter <[email-masked]>
To: [email-masked], Morgan Smith <[email-masked]>, [email-masked]
Date: Fri, 24 Feb 2023 09:59:07 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2/9/2023 10:39 PM, Jim Porter wrote:
> On 2/7/2023 3:37 PM, Jim Porter wrote:
>> Good call. Here's a patch that (mostly) copies those comint functions 
>> over to Eshell.
> 
> Ok, pushed this as ab7c2f8092.

Since no one has complained that my fix didn't work in the past couple 
weeks, I'm assuming all is well here. Closing. (But if it's still 
broken, just let me know.)

Subject: Eshell modifying and running output regression
From: Morgan Smith <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 05 Feb 2023 23:18:00 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

eshell allows you to modify the output of a command and run it.  It is a
beautiful thing.

Example:

$ ls
file.el
$

now go up and append "file" to the output and hit enter.

$ ls
file file.el
$ file file.el
color.el: Lisp/Scheme program, Unicode text, UTF-8 text
$

The ability is currently broken because "file.el" has the field property
set to "command-output" and the "file" command that I added has no
property field.  So currently the previous interaction would actually
yield:

$ ls
file file.el
$ file.el
file.el: command not found
$

This was broken in commit 558f04c39e036d2f681f72556627768d7bee9ab5.  Now
adding the field to eshell prompt makes a lot of sense and I like that.
I don't know much about fields but it looks like it is not necessary to
have a command-output field at all.  I propose we get rid of that.  If
you want to keep the field, can we make it sticky or something?  I just
want the above usecase fixed.

Thanks,

Morgan